Subject: Re: [RFC PATCH 01/13] net: dsa: add plumbing for custom netdev statistics

From: Andrew Lunn <[email-masked]>
Date: Mon, 19 Oct 2020 14:05:34 +0200

On Sun, Oct 18, 2020 at 08:49:31PM -0700, Florian Fainelli wrote:
> 
> 
> On 10/18/2020 5:21 PM, Vladimir Oltean wrote:
> > On Sun, Oct 18, 2020 at 04:11:14PM -0700, Florian Fainelli wrote:
> > > How about when used as a netconsole? We do support netconsole over DSA
> > > interfaces.
> > 
> > How? Who is supposed to bring up the master interface, and when?
> > 
> 
> You are right that this appears not to work when configured on the kernel
> command line:
> 
> [    6.836910] netpoll: netconsole: local port 4444
> [    6.841553] netpoll: netconsole: local IPv4 address 192.168.1.10
> [    6.847582] netpoll: netconsole: interface 'gphy'
> [    6.852305] netpoll: netconsole: remote port 9353
> [    6.857030] netpoll: netconsole: remote IPv4 address 192.168.1.254
> [    6.863233] netpoll: netconsole: remote ethernet address
> b8:ac:6f:80:af:7e
> [    6.870134] netpoll: netconsole: device gphy not up yet, forcing it
> [    6.876428] netpoll: netconsole: failed to open gphy
> [    6.881412] netconsole: cleaning up
> 
> looking at my test notes from 2015 when it was added, I had only tested
> dynamic netconsole while the network devices have already been brought up
> which is why I did not catch it. Let me see if I can fix that somehow.

Hi Florian

NFS root used to work, so there must be some code in the kernel to
bring the master interface up. Might just need copy/pasting.

      Andrew